<?php

namespace App\Providers;

use Illuminate\Support\Facades\Route;
use Illuminate\Foundation\Support\Providers\RouteServiceProvider as ServiceProvider;

class RouteServiceProvider extends ServiceProvider
{
    /**
     * This namespace is applied to your controller routes.
     *
     * In addition, it is set as the URL generator's root namespace.
     *
     * @var string
     */
    protected $namespace = 'App\Http\Controllers';

    /**
     * Define your route model bindings, pattern filters, etc.
     *
     * @return void
     */
    public function boot()
    {
        //

        parent::boot();
    }

    /**
     * Define the routes for the application.
     *
     * @return void
     */
    public function map()
    {
        $this->mapApiRoutes();
        $this->mapWebRoutes();
        $this->mapGameRoutes();
//        $this->singlePlayRoutes();

        //
    }

    /**
     * Define the "web" routes for the application.
     *
     * These routes all receive session state, CSRF protection, etc.
     *
     * @return void
     */
    protected function mapWebRoutes()
    {
        Route::middleware('web')
             ->namespace($this->namespace)
             ->group(base_path('routes/web.php'));
    }
    protected function mapGameRoutes()
    {
        Route::prefix('game')
//            ->middleware('filter26')
            ->middleware('GameEncrypt')
//            ->middleware('cors')
            ->namespace($this->namespace)
            ->group(base_path('routes/game.php'));

//        Route::prefix('ruby')
//            ->middleware('filter26')
//            ->namespace($this->namespace)
//            ->group(base_path('routes/game.php'));
//
//        Route::prefix('leg')
//            ->middleware('filter26')
//            ->middleware('EncryptInOut')
//            ->namespace($this->namespace)
//            ->group(base_path('routes/game.php'));
    }
//    protected function singlePlayRoutes(){
//        Route::prefix('catest')
//            ->namespace($this->namespace)
//            ->group(base_path('routes/single.php'));
//        Route::prefix('far')
//            ->namespace($this->namespace)
//            ->group(base_path('routes/single.php'));
//        Route::prefix('sup')
//            ->namespace($this->namespace)
//            ->group(base_path('routes/single.php'));
//        Route::prefix('hallo')
//            ->namespace($this->namespace)
//            ->group(base_path('routes/single.php'));
//        Route::prefix('ca')
//            ->namespace($this->namespace)
//            ->group(base_path('routes/single.php'));
//        Route::prefix('check')
//            ->namespace($this->namespace)
//            ->group(base_path('routes/single.php'));
//    }
    /**
     * Define the "api" routes for the application.
     *
     * These routes are typically stateless.
     *
     * @return void
     */
    protected function mapApiRoutes()
    {
        Route::prefix('api')
            ->middleware('filter26')
            ->middleware('cors')
             ->namespace($this->namespace)
             ->group(base_path('routes/api.php'));

//        Route::prefix('redstorm')
//            ->middleware('filter26')
//             ->namespace($this->namespace)
//             ->group(base_path('routes/api.php'));
//
//        Route::prefix('tig')
//            ->middleware('filter26')
//            ->middleware('EncryptInOut')
//             ->namespace($this->namespace)
//             ->group(base_path('routes/api.php'));
    }
}
